### Method

# Gimp Procedure run_valist

since: 3.0

#### Declaration [src]

    GimpValueArray*
    gimp_procedure_run_valist (
      GimpProcedure* procedure,
      const gchar* first_arg_name,
      va_list args
    )

#### Description [src]

Runs `procedure` with arguments names and values, given in the order as passed to `gimp_procedure_run()`.

Available since: 3.0

This method is not directly available to language bindings.

#### Parameters

`first_arg_name`

  Type: `const gchar*`

  The name of an argument of `procedure` or `NULL` to run `procedure` with default arguments. `args` the value of `first_arg_name` and any more argument names and values as needed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  No description available.

#### Return value

Type: `GimpValueArray`

The return values for the procedure call.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.